<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Power News Pro
	 * @since Power News Pro 1.0.0
	 */

	/**
	 * power_news_pro_doctype hook
	 *
	 * @hooked power_news_pro_doctype -  10
	 *
	 */
	do_action( 'power_news_pro_doctype' );

?>
<head>
<?php
	/**
	 * power_news_pro_before_wp_head hook
	 *
	 * @hooked power_news_pro_head -  10
	 *
	 */
	do_action( 'power_news_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * power_news_pro_page_start_action hook
	 *
	 * @hooked power_news_pro_page_start -  10
	 *
	 */
	do_action( 'power_news_pro_page_start_action' ); 

	/**
	 * power_news_pro_loader_action hook
	 *
	 * @hooked power_news_pro_loader -  10
	 *
	 */
	do_action( 'power_news_pro_before_header' );

	/**
	 * power_news_pro_header_action hook
	 *
	 * @hooked power_news_pro_header_start -  10
	 * @hooked power_news_pro_site_branding -  20
	 * @hooked power_news_pro_site_navigation -  30
	 * @hooked power_news_pro_header_end -  50
	 *
	 */
	do_action( 'power_news_pro_header_action' );

	/**
	 * power_news_pro_content_start_action hook
	 *
	 * @hooked power_news_pro_content_start -  10
	 *
	 */
	do_action( 'power_news_pro_content_start_action' );

	/**
	 * power_news_pro_header_image_action hook
	 *
	 * @hooked power_news_pro_header_image -  10
	 *
	 */
	do_action( 'power_news_pro_header_image_action' );
	if ( power_news_pro_is_frontpage() ) {
    	$options = power_news_pro_get_theme_options();

    	$sorted = $sorted = explode( ',' , power_news_pro_get_homepage_sections() );


    
		foreach ( $sorted as $section ) {

			if ( empty( $section ) ) {
				return;
			}
			add_action( 'power_news_pro_primary_content', 'power_news_pro_add_'. $section .'_section' );
		}

		do_action( 'power_news_pro_primary_content' );
	}