<?php


function power_news_pro_style( $args = array() ) {
		$options = power_news_pro_get_theme_options();
		$blog_info_bg_img = $options['blog_info_bg_img'];
	?>

		<style type="text/css">

			<?php if ( !empty($options['theme_head_typography']) ): ?>
				h1, h2, h3, h4, h5, h6 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_body_typography']) ): ?>
				body {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_title_typography']) ): ?>
				.site-title a {
				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_description_typography']) ): ?>
				.site-description {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_menu_typography']) ): ?>
				.menu-item a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
				.btn,
				.more-link a
				 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			<?php if ( empty( $options['ads_image'] ) && empty( $options['ads_url'] ) ) : ?>
			@media screen and (min-width: 767px){

				.site-branding {	
				    width: 100%;
				    text-align: center;
				}
			}
			<?php endif; ?>

			/* Topbar */
			<?php if ( !empty( $options['secondary_menu_bg_color'] ) ) : ?>
				#top-navigation,
				#site-navigation {
					background-color: <?php echo esc_attr( $options['secondary_menu_bg_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['topbar_menu_item_color'] ) ) : ?>
				#top-navigation .main-navigation ul.nav-menu > li > a,
				#top-navigation .main-navigation ul.nav-menu > li.current-date {
					color: <?php echo esc_attr( $options['topbar_menu_item_color'] ); ?>;
				}

				#top-navigation .social-icons a svg {
					fill: <?php echo esc_attr( $options['topbar_menu_item_color'] ); ?>;
				}
			<?php endif;?>


			<?php if ( !empty( $options['topbar_item_hover_color'] ) ) : ?>
				#top-navigation .main-navigation ul.nav-menu > li > a:hover,
				#top-navigation .main-navigation ul.nav-menu > li > a:focus {
					background-color: <?php echo esc_attr( $options['topbar_item_hover_color'] ); ?>;
				}
			<?php endif;?>

			/* Blog Info */
			<?php if ( !empty( $options['blog_info_bg_color'] ) ) : ?>
				.site-branding-container {
					background-color: <?php echo esc_attr( $options['blog_info_bg_color'] ); ?>;
					background-size: 'cover';
					background-repeat: 'no-repeat';
					background-position: 'center';
				}
			<?php endif;?>

			<?php if ( !empty( $options['blog_info_bg_img'] ) ) : ?>
				.site-branding-container{
					background-image: url('<?php echo esc_url( $blog_info_bg_img );?>');
				}
			<?php endif;?>

			/* Primary Menu */
			<?php if ( !empty( $options['primary_menu_hover_color'] ) ) : ?>
				#masthead .main-navigation ul#primary-menu li.current-menu-item > a,
				#masthead .main-navigation ul#primary-menu > li > a:hover,
				#masthead .main-navigation ul#primary-menu > li > a:focus,
				.main-navigation ul#primary-menu li:hover > a,
				.main-navigation ul#primary-menu li:focus > a {
					background-color: <?php echo esc_attr( $options['primary_menu_hover_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['primary_menu_item_color'] ) ) : ?>
				.main-navigation form.search-form ::-webkit-input-placeholder,
				.main-navigation ul#primary-menu > li > a {
					color: <?php echo esc_attr( $options['primary_menu_item_color'] ); ?>;
				}

				#masthead .home-icon > a svg.icon-home {
					fill: <?php echo esc_attr( $options['primary_menu_item_color'] ); ?>;
				}
			<?php endif;?>

			/*footer*/
			<?php if ( !empty( $options['footer_bg_color'] ) ) : ?>
				#colophon{
					background-color: <?php echo esc_attr( $options['footer_bg_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['footer_widget_title_color'] ) ) : ?>
				#colophon .widget-title{
					color: <?php echo esc_attr( $options['footer_widget_title_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['footer_widget_content_color'] ) ) : ?>
				#colophon .cat-links a,
				#colophon ul li .entry-header .entry-title a,
				#colophon .site-info a {
					color: <?php echo esc_attr( $options['footer_widget_content_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['footer_widget_hover_color'] ) ) : ?>
				#colophon ul li a:hover,
				#colophon ul li a:focus,
				#colophon .site-info a:hover {
					color: <?php echo esc_attr( $options['footer_widget_hover_color'] ); ?>;
				}
			<?php endif; ?>

			/*banner*/
			<?php if ( ( !empty( $options['banner_section_bg_color'] ) && $options['hide_banner'] === true ) || ( !empty( $options['banner_section_bg_color'] ) && $options['single_post_hide_banner'] === true ))  : ?>
				.blog .header-wrapper,
				.archive .header-wrapper,
				.single .header-wrapper {
					background-color: <?php echo esc_attr( $options['banner_section_bg_color'] ); ?>;
				}
			<?php endif; ?>

			<?php if ( ( !empty( $options['banner_text_align'] ) && $options['hide_banner'] === true ) || ( !empty( $options['banner_text_align'] ) && $options['single_post_hide_banner'] === true ))  : ?>
				.blog .header-wrapper,
				.archive .header-wrapper,
				.single .header-wrapper {
					text-align: <?php echo esc_attr( $options['banner_text_align'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['banner_title_color'] ) ) : ?>
				.blog .header-wrapper .page-header h2.page-title,
				.archive .header-wrapper .page-header h2.page-title,
				.single .header-wrapper .page-header h2.page-title {
					color: <?php echo esc_attr( $options['banner_title_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['banner_anchor_text_color'] ) ) : ?>
				.trail-items li a {
					color: <?php echo esc_attr( $options['banner_anchor_text_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( !empty( $options['banner_text_color'] ) ) : ?>
				.trail-items li {
					color: <?php echo esc_attr( $options['banner_text_color'] ); ?>;
				}
			<?php endif;?>

			<?php if ( ( !empty( $options['banner_wrapper_padding_top'] ) && $options['hide_banner'] === true ) || ( !empty( $options['banner_wrapper_padding_top'] ) && $options['single_post_hide_banner'] === true ))  : ?>
			.blog .header-wrapper,
			.archive .header-wrapper,
			.single .header-wrapper {
				padding-top: <?php echo esc_attr( $options['banner_wrapper_padding_top'] . 'px' ); ?>;
			}
			<?php endif;?>

			<?php if ( ( !empty( $options['banner_wrapper_padding_buttom'] ) && $options['hide_banner'] === true ) || ( !empty( $options['banner_wrapper_padding_buttom'] ) && $options['single_post_hide_banner'] === true ))  : ?>
			.blog .header-wrapper,
			.archive .header-wrapper,
			.single .header-wrapper {
				padding-bottom: <?php echo esc_attr( $options['banner_wrapper_padding_buttom'] . 'px' ); ?>;
			}
			<?php endif;?>


		</style>
		
<?php }

add_action( 'wp_head', 'power_news_pro_style' );