<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Power News Pro
* @since Power News Pro 1.0.0
*/

// Breaking News
if ( ! function_exists( 'power_news_pro_breaking_news_title_partial' ) ) :
    // Breaking news section partial refresh title
    function power_news_pro_breaking_news_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['breaking_news_title'] );
    }
endif;

// Copy Right
if ( ! function_exists( 'power_news_pro_copyright_text_partial' ) ) :
    // copyright text
    function power_news_pro_copyright_text_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

// Featured Post Button Text
if ( ! function_exists( 'power_news_pro_featured_posts_btn_txt_partial' ) ) :
    function power_news_pro_featured_posts_btn_txt_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['featured_posts_btn_txt'] );
    }
endif;

// Featured Posts Button Alt Text
if ( ! function_exists( 'power_news_pro_featured_posts_btn_alt_txt_partial' ) ) :
    function power_news_pro_featured_posts_btn_alt_txt_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['featured_posts_btn_alt_txt'] );
    }
endif;


// Multi Posts
if ( ! function_exists( 'power_news_pro_multi_post_col1_title_partial' ) ) :
    // multi post col 1 title
    function power_news_pro_multi_post_col1_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['multi_post_col1_title'] );
    }
endif;
if ( ! function_exists( 'power_news_pro_multi_post_col2_title_partial' ) ) :
    // multi post col 2 title
    function power_news_pro_multi_post_col2_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['multi_post_col2_title'] );
    }
endif;
if ( ! function_exists( 'power_news_pro_random_post_title_partial' ) ) :
    // multi post col 2 title
    function power_news_pro_random_post_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['random_post_title'] );
    }
endif;

// Media Posts
if ( ! function_exists( 'power_news_pro_media_posts_title_partial' ) ) :
    // media post title
    function power_news_pro_media_posts_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['media_post_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_latest_post_title_partial' ) ) :
    // media post title
    function power_news_pro_latest_post_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['latest_post_title'] );
    }
endif;


if ( ! function_exists( 'power_news_pro_popular_post_title_partial' ) ) :
    // media post title
    function power_news_pro_popular_post_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['popular_post_title'] );
    }
endif;

// Related Posts
if ( ! function_exists( 'power_news_pro_related_posts_title_partial' ) ) :
    // media post title
    function power_news_pro_related_posts_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['related_posts_title'] );
    }
endif;

// Most Viewed
if ( ! function_exists( 'power_news_pro_most_viewed_title_partial' ) ) :
    // media post title
    function power_news_pro_most_viewed_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['most_viewed_title'] );
    }
endif;

// Post Slider
if ( ! function_exists( 'power_news_pro_news_posts_slider_title_partial' ) ) :
    // media post title
    function power_news_pro_news_posts_slider_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['news_posts_slider_title'] );
    }
endif;

// Promotion
if ( ! function_exists( 'power_news_pro_promotion_read_more_partial' ) ) :
    function power_news_pro_promotion_read_more_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['promotion_read_more'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_promotion_btn_title_partial' ) ) :
    function power_news_pro_promotion_btn_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['promotion_btn_title'] );
    }
endif;

// Subscribe Us
if ( ! function_exists( 'power_news_pro_subscribe_us_title_partial' ) ) :
    function power_news_pro_subscribe_us_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['subscribe_us_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_subscribe_us_sub_title_partial' ) ) :
    function power_news_pro_subscribe_us_sub_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['subscribe_us_sub_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_subscribe_us_btn_title_partial' ) ) :
    function power_news_pro_subscribe_us_btn_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['subscribe_us_btn_title'] );
    }
endif;

// About Us

if ( ! function_exists( 'power_news_pro_about_us_subtitle_partial' ) ) :
    // about_sub_title
    function power_news_pro_about_us_subtitle_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['about_us_subtitle'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_about_us_btn_title_partial' ) ) :
    // about us button title
    function power_news_pro_about_us_btn_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['about_us_btn_title'] );
    }
endif;

// Courses
if ( ! function_exists( 'power_news_pro_courses_title_partial' ) ) :
    function power_news_pro_courses_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['courses_title'] );
    }
endif;

// courses sub title selective refresh
if ( ! function_exists( 'power_news_pro_courses_sub_title_partial' ) ) :
    function power_news_pro_courses_sub_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['courses_sub_title'] );
    }
endif;

// Gallery
if ( ! function_exists( 'power_news_pro_gallery_subtitle_partial' ) ) :
    // gallery title
    function power_news_pro_gallery_subtitle_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['gallery_subtitle'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_gallery_title_partial' ) ) :
    // gallery subtitle
    function power_news_pro_gallery_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;


// Team Section
if ( ! function_exists( 'power_news_pro_team_sub_title_partial' ) ) :
    // team sub title
    function power_news_pro_team_sub_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['team_sub_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_team_title_partial' ) ) :
    // team title
    function power_news_pro_team_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['team_title'] );
    }
endif;

// Event
if ( ! function_exists( 'power_news_pro_events_subtitle_partial' ) ) :
    // about sub title
    function power_news_pro_events_subtitle_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['events_subtitle'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_events_title_partial' ) ) :
    // about sub title
    function power_news_pro_events_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['events_title'] );
    }
endif;

// Testimonial
if ( ! function_exists( 'power_news_pro_testimonial_subtitle_partial' ) ) :
    // testimonial sub title
    function power_news_pro_testimonial_subtitle_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['testimonial_subtitle'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_testimonial_title_partial' ) ) :
    // testimonial title
    function power_news_pro_testimonial_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['testimonial_title'] );
    }
endif;

// Career
if ( ! function_exists( 'power_news_pro_career_sub_title_partial' ) ) :
    // career sub title
    function power_news_pro_career_sub_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['career_sub_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_career_title_partial' ) ) :
    // career title
    function power_news_pro_career_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['career_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_career_btn_title_partial' ) ) :
    // career_btn_title
    function power_news_pro_career_btn_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['career_btn_title'] );
    }
endif;

// Popular Products
if ( ! function_exists( 'power_news_pro_popular_products_sub_title_partial' ) ) :
    // popular products sub title
    function power_news_pro_popular_products_sub_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['popular_products_sub_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_popular_products_title_partial' ) ) :
    // popular products sub title
    function power_news_pro_popular_products_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['popular_products_title'] );
    }
endif;

// Products Collection
if ( ! function_exists( 'power_news_pro_products_collection_title_partial' ) ) :
    // about sub title
    function power_news_pro_products_collection_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['products_collection_title'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_products_collection_subtitle_partial' ) ) :
    // about sub title
    function power_news_pro_products_collection_subtitle_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['products_collection_subtitle'] );
    }
endif;

// Recent Products
if ( ! function_exists( 'power_news_pro_recent_products_subtitle_partial' ) ) :
    // recent products sub title
    function power_news_pro_recent_products_subtitle_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['recent_products_subtitle'] );
    }
endif;

if ( ! function_exists( 'power_news_pro_recent_products_title_partial' ) ) :
    // recent products title
    function power_news_pro_recent_products_title_partial() {
        $options = power_news_pro_get_theme_options();
        return esc_html( $options['recent_products_title'] );
    }
endif;
