<?php 

$wp_customize->add_section( 'power_news_pro_home_layout', array(
	'title'             => esc_html__( 'Home Page Layout','power-news-pro' ),
	'description'       => esc_html__( 'Home Page Layout option.', 'power-news-pro' ),
	'panel'             => 'power_news_pro_front_page_panel',
) );

$wp_customize->add_setting( 'power_news_pro_theme_options[home_layout]', array(
		'default'           => $options['home_layout'],
		'sanitize_callback' => 'power_news_pro_sanitize_select',
		'transport'			=> 'refresh'
	) );

$wp_customize->add_control( 'power_news_pro_theme_options[home_layout]', array(
	'type'				=> 'radio',
	'label'             => esc_html__( 'Select Homepage layout', 'power-news-pro' ),
	'section'           => 'power_news_pro_home_layout',
	'choices'				=> array(
		'default-design'     	 => esc_html__( 'Default Design', 'power-news-pro' ),
		'second-design'     	 => esc_html__( 'Blog Design', 'power-news-pro' ),
		'third-design'     	 	 => esc_html__( 'Education Design', 'power-news-pro' ),
		'fourth-design'     	 => esc_html__( 'Shop Design', 'power-news-pro' ),
		)
) );

foreach ( array( 'default', 'second', 'third', 'fourth' ) as $list ) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'power_news_pro_theme_options['.$list.'_sortable]', array(
		'default'			  => $options[$list.'_sortable'],
		'sanitize_callback'   => 'power_news_pro_sanitize_sortable',
	) );

	$wp_customize->add_control( new Power_News_Pro_Customize_Sortable_Control ( $wp_customize, 'power_news_pro_theme_options['.$list.'_sortable]', array(
		'label'               => esc_html__( 'Sortable Homepage', 'power-news-pro' ),
		'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'power-news-pro' ),
		'section'             => 'power_news_pro_home_layout',
		'type'                => 'sortable',
		'choices'			  => power_news_pro_sortable_sections(),
		'active_callback'	  => 'power_news_pro_is_'.$list.'_layout',

	) ) );
}