<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Power News Pro
 * @since Power News Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'power_news_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','power-news-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'power-news-pro' ),
	'panel'             => 'power_news_pro_front_page_panel',
) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'power_news_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'power-news-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary and social menu.', 'power-news-pro' ), esc_html__( 'Click Here', 'power-news-pro' ), esc_html__( 'to create menu', 'power-news-pro' ) ),
	'section'           => 'power_news_pro_topbar_section',
	'on_off_label' 		=> power_news_pro_switch_options(),
) ) );