<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Businesszen Pro
 * @since Businesszen Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'power_news_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','power-news-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'power-news-pro' ),
	'panel'             => 'power_news_pro_theme_options_panel',
) );

$wp_customize->add_setting( 'power_news_pro_theme_options[hide_image]', array(
	'default'           => $options['hide_image'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_setting( 'power_news_pro_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_image]', array(
	'label'             => esc_html__( 'Hide Post Image', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'power_news_pro_theme_options[hide_title]', array(
	'default'           => $options['hide_title'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_title]', array(
	'label'             => esc_html__( 'Hide Post Title', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'power_news_pro_theme_options[hide_content]', array(
	'default'           => $options['hide_content'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_content]', array(
	'label'             => esc_html__( 'Hide Post Content', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'power-news-pro' ),
	'section'           => 'power_news_pro_archive_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );