<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Power News Pro
 * @since Power News Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'power_news_pro_layout', array(
	'title'               => esc_html__('Layout','power-news-pro'),
	'description'         => esc_html__( 'Layout section options.', 'power-news-pro' ),
	'panel'               => 'power_news_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'power_news_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Power_News_Pro_Custom_Radio_Image_Control ( $wp_customize, 'power_news_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'power-news-pro' ),
	'section'             => 'power_news_pro_layout',
	'choices'			  => power_news_pro_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'power_news_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Power_News_Pro_Custom_Radio_Image_Control ( $wp_customize, 'power_news_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'power-news-pro' ),
	'section'             => 'power_news_pro_layout',
	'choices'			  => power_news_pro_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'power_news_pro_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Power_News_Pro_Custom_Radio_Image_Control ( $wp_customize, 'power_news_pro_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'power-news-pro' ),
	'section'             => 'power_news_pro_layout',
	'choices'			  => power_news_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'power_news_pro_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Power_News_Pro_Custom_Radio_Image_Control( $wp_customize, 'power_news_pro_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'power-news-pro' ),
	'section'             => 'power_news_pro_layout',
	'choices'			  => power_news_pro_sidebar_position(),
) ) );