<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Power News Pro
 * @since Power News Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'power_news_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','power-news-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'power-news-pro' ),
	'panel'             => 'power_news_pro_theme_options_panel',
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[single_post_hide_featured_image]', array(
	'default'           => $options['single_post_hide_featured_image'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_setting( 'power_news_pro_theme_options[single_post_hide_banner]', array(
	'default'           => $options['single_post_hide_banner'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[single_post_hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'power-news-pro' ),
	'section'           => 'power_news_pro_single_post_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[single_post_hide_featured_image]', array(
	'label'             => esc_html__( 'Hide Featured Image', 'power-news-pro' ),
	'section'           => 'power_news_pro_single_post_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'power-news-pro' ),
	'section'           => 'power_news_pro_single_post_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive author meta setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'power-news-pro' ),
	'section'           => 'power_news_pro_single_post_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'power-news-pro' ),
	'section'           => 'power_news_pro_single_post_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );

// Archive tag category setting and control.
$wp_customize->add_setting( 'power_news_pro_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'power_news_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Power_News_Pro_Switch_Control( $wp_customize, 'power_news_pro_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'power-news-pro' ),
	'section'           => 'power_news_pro_single_post_section',
	'on_off_label' 		=> power_news_pro_hide_options(),
) ) );
