<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Power News Pro
* @since Power News Pro 1.0.0
*/

if ( ! function_exists( 'power_news_pro_validate_long_excerpt' ) ) :
  function power_news_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'power-news-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Breaking News Posts===============*/

if ( ! function_exists( 'power_news_pro_validate_breaking_news_count' ) ) :
  function power_news_pro_validate_breaking_news_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'power_news_pro_validate_service_count' ) ) :
  function power_news_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Featured Posts===============*/

if ( ! function_exists( 'power_news_pro_validate_featured_posts_count' ) ) :
  function power_news_pro_validate_featured_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Latest Posts===============*/

if ( ! function_exists( 'power_news_pro_validate_latest_post_count' ) ) :
  function power_news_pro_validate_latest_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Popular Posts===============*/

if ( ! function_exists( 'power_news_pro_validate_popular_post_count' ) ) :
  function power_news_pro_validate_popular_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;


/*==================Most Viewed Posts===============*/

if ( ! function_exists( 'power_news_pro_validate_most_viewed_count' ) ) :
  function power_news_pro_validate_most_viewed_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================News Posts Slider===============*/

if ( ! function_exists( 'power_news_pro_validate_news_posts_slider_count' ) ) :
  function power_news_pro_validate_news_posts_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Multi Post===============*/

if ( ! function_exists( 'power_news_pro_validate_multi_post_col1_count' ) ) :
  function power_news_pro_validate_multi_post_col1_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;
if ( ! function_exists( 'power_news_pro_validate_multi_post_col2_count' ) ) :
  function power_news_pro_validate_multi_post_col2_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Media Post===============*/

if ( ! function_exists( 'power_news_pro_validate_media_post_count' ) ) :
  function power_news_pro_validate_media_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Reated Posts===============*/

if ( ! function_exists( 'power_news_pro_validate_related_posts_count' ) ) :
  function power_news_pro_validate_related_posts_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Media post===============*/

if ( ! function_exists( 'power_news_pro_validate_video_post_count' ) ) :
  function power_news_pro_validate_video_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;


if ( ! function_exists( 'power_news_pro_validate_media_post_count' ) ) :
  function power_news_pro_validate_media_post_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Courses===============*/

if ( ! function_exists( 'power_news_pro_validate_courses_count' ) ) :
    function power_news_pro_validate_courses_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'power-news-pro' ) );
       }
       return $validity;
    }
endif;

/*==================Gallery===============*/

if ( ! function_exists( 'power_news_pro_validate_gallery_count' ) ) :
  function power_news_pro_validate_gallery_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Team===============*/

if ( ! function_exists( 'power_news_pro_validate_team_count' ) ) :
  function power_news_pro_validate_team_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================event===============*/

if ( ! function_exists( 'power_news_pro_validate_events_count' ) ) :
  function power_news_pro_validate_events_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Testimonial===============*/

if ( ! function_exists( 'power_news_pro_validate_testimonial_count' ) ) :
  function power_news_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Career===============*/

if ( ! function_exists( 'power_news_pro_validate_career_count' ) ) :
  function power_news_pro_validate_career_count( $validity, $value ){
     $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
     $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
   } elseif ( $value < 1 ) {
     $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
   } elseif ( $value > 50 ) {
     $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'power-news-pro' ) );
   }
   return $validity;
  }
endif;

/*==================Latest Products===============*/

if ( ! function_exists( 'power_news_pro_validate_latest_products_count' ) ) :
  function power_news_pro_validate_latest_products_count( $validity, $value ){
     $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
     $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
   } elseif ( $value < 4 ) {
     $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'power-news-pro' ) );
   } elseif ( $value > 12 ) {
     $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
   }
   return $validity;
  }
endif;

/*==================Popular Products===============*/

if ( ! function_exists( 'power_news_pro_validate_popular_products_count' ) ) :
  function power_news_pro_validate_popular_products_count( $validity, $value ){
     $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
     $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
   } elseif ( $value < 4 ) {
     $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'power-news-pro' ) );
   } elseif ( $value > 12 ) {
     $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
   }
   return $validity;
  }
endif;

/*==================Products Collection===============*/
 
if ( ! function_exists( 'power_news_pro_validate_products_collection_count' ) ) :
  function power_news_pro_validate_products_collection_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'power-news-pro' ) );
     } elseif ( $value > 30 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Recent Products===============*/

if ( ! function_exists( 'power_news_pro_validate_recent_products_count' ) ) :
  function power_news_pro_validate_recent_products_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
     } elseif ( $value <  1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'power-news-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
     }
     return $validity;
  }
endif;

/*==================Our Services===============*/

if ( ! function_exists( 'power_news_pro_validate_service_count' ) ) :
  function power_news_pro_validate_service_count( $validity, $value ){
     $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
     $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
   } elseif ( $value < 3 ) {
     $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'power-news-pro' ) );
   } elseif ( $value > 12 ) {
     $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'power-news-pro' ) );
   }
   return $validity;
  }
endif;

/*==================Featured Product===============*/

if ( ! function_exists( 'power_news_pro_validate_featured_products_count' ) ) :
  function power_news_pro_validate_featured_products_count( $validity, $value ){
     $value = intval( $value );
   if ( empty( $value ) || ! is_numeric( $value ) ) {
     $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'power-news-pro' ) );
   } elseif ( $value < 2 ) {
     $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'power-news-pro' ) );
   } elseif ( $value > 30 ) {
     $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'power-news-pro' ) );
   }
   return $validity;
  }
endif;