<?php
/**
* Main Content Section
*
* This is the template for the content of main content section
*
* @package Theme Palace
* @subpackage Power News Pro
* @since Power News Pro 1.0.0
*/
if ( ! function_exists( 'power_news_pro_add_main_content_section' ) ) :
/**
* Add main content section
*
*@since Power News Pro 1.0.0
*/
function power_news_pro_add_main_content_section() {

  power_news_pro_render_main_content_section();
}
endif;

if ( ! function_exists( 'power_news_pro_render_main_content_section' ) ) :
/**
* Start main content section
*
* @return string main content content
* @since Power News Pro 1.0.0
*
*/
function power_news_pro_render_main_content_section() {
  $options = power_news_pro_get_theme_options();
  ?>
  <?php if ( $options['home_layout' ] !== 'third-design' ) : ?>
    <div id="inner-content-wrapper" class="wrapper">
      <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">
        <?php endif; ?>

        <!-- Default layout -->
        <?php if ( $options['home_layout'] == 'default-design' ) :
        
        // Featured Posts content
        require get_template_directory() . '/inc/sections/featured-posts.php'; 
        power_news_pro_add_featured_posts_section();
      
        // Media Posts content
        require get_template_directory() . '/inc/sections/media-posts.php';
        
        // Latest Posts content
        require get_template_directory() . '/inc/sections/latest-posts.php'; 
        power_news_pro_add_latest_posts_section();
        
        // Popular Posts content
        require get_template_directory() . '/inc/sections/popular-posts.php';

        // Most Viewed content
        require get_template_directory() . '/inc/sections/most-viewed.php';

        // Posts Slider content
        require get_template_directory() . '/inc/sections/posts-slider.php';

        // Multiple Posts content
        require get_template_directory() . '/inc/sections/multiple-posts.php';

        endif; ?>

        <!-- Second Layout -->
        <?php if ( $options['home_layout'] == 'second-design' ) :

          // Featured Posts content
        require get_template_directory() . '/inc/sections/featured-posts.php';
        power_news_pro_add_featured_posts_section();
      
        // Latest Posts content
        require get_template_directory() . '/inc/sections/latest-posts.php';
        power_news_pro_add_latest_posts_section();
        
        // Promotion content
        require get_template_directory() . '/inc/sections/promotion.php';
        power_news_pro_add_promotion_section();
        
        // Popular Posts content
        require get_template_directory() . '/inc/sections/popular-posts.php';
        
        // Most Viewed content    
        require get_template_directory() . '/inc/sections/most-viewed.php';
        endif; ?>

        <?php if ( $options['home_layout'] !== 'third-design' ) : ?>
        </main>
      </div><!-- #primary -->
    <?php endif; ?>

    <?php if ( $options['home_layout'] == 'default-design' ) : ?>
      <?php if(is_active_sidebar('main-right-sidebar')): ?>
        <aside id="secondary" class="widget-area" role="complementary">

          <?php dynamic_sidebar( 'main-right-sidebar' ); ?>

        </aside><!-- #secondary sidebar -->
      <?php endif; ?>
    <?php endif; ?>
    <?php if ( $options['home_layout'] !== 'third-design' ) : ?>
    </div><!-- #inner-content-wrapper -->
  <?php endif; ?>

  <?php }
  endif;