<?php 
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Power News Pro
 * @since Power News Pro 1.0.0
 */
$options = power_news_pro_get_theme_options();
$class = has_post_thumbnail() ? 'has-post-thumbnail' : '';
$featured_image = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg';
?>

    <article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
        <?php if( $options['hide_image'] == false ): ?>
        <div class="featured-image" style="background-image:url('<?php echo esc_url( $featured_image ); ?>');">
            <a href="<?php the_permalink(); ?>" class="post-thumbnail-link"></a>
            <?php if(! $options['hide_category']): ?>
            <?php endif; ?>
            <span class="min-read"><?php echo power_news_pro_time_interval(get_the_content()); echo esc_html__(' min to read', 'power-news-pro'); ?></span>
        </div><!-- .featured-image-->
        <?php endif; ?>

        <div class="entry-container">
            <div class="entry-meta">
                <span class="cat-links">
                <?php echo power_news_pro_article_footer_meta(); ?>
                </span>
                <?php power_news_pro_posted_on($post->ID);  ?>
            </div>
            <?php if( $options['hide_title'] == false ): ?>
                <header class="entry-header">
                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                </header>
            <?php endif;  ?>
            <?php if( $options['hide_content'] == false ): ?>
                <div class="entry-content">
                    <?php the_excerpt(); ?>
                </div><!-- .entry-content -->
            <?php endif; ?>
            <?php echo power_news_pro_author(); ?>
        </div><!-- .entry-container -->
    </article>

